Package org.postgis.binary

## Class ByteSetter.BinaryByteSetter

- java.lang.Object
- - org.postgis.binary.ByteSetter
  - - org.postgis.binary.ByteSetter.BinaryByteSetter

Enclosing class:
  ByteSetter

    public static class ByteSetter.BinaryByteSetter
    extends ByteSetter

### Nested Class Summary

### Nested classes/interfaces inherited from class org.postgis.binary.ByteSetter

`ByteSetter.BinaryByteSetter, ByteSetter.StringByteSetter`

### Constructor Summary

Constructors
`BinaryByteSetter​(int length)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `result()`
`void` `set​(byte b, int index)` Set a byte.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BinaryByteSetter

    public BinaryByteSetter​(int length)

### Method Detail

#### set

    public void set​(byte b,
                    int index)

Description copied from class: `ByteSetter`
Set a byte.

Specified by:
  `set` in class `ByteSetter`
Parameters:
  `b` - byte value to set with
  `index` - index to set

#### result

    public byte[] result()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`